> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zilmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Custom To address

> Fetch the details of a single custom 'to' address using its unique ID.



## OpenAPI

````yaml GET /customToAddresses/{customToAddressId}
openapi: 3.0.1
info:
  title: Online Check Writer API
  description: API documentation for managing custom 'to' addresses.
  version: 1.0.0
servers:
  - url: https://test.onlinecheckwriter.com/api/v3
    description: Test server
  - url: https://app.onlinecheckwriter.com/api/v3
    description: Production server
security: []
paths:
  /customToAddresses/{customToAddressId}:
    get:
      tags:
        - Custom To Addresses
      summary: Retrieve a Custom To Address
      description: Fetch the details of a single custom 'to' address using its unique ID.
      parameters:
        - name: customToAddressId
          in: path
          required: true
          description: The ID of the custom 'to' address to retrieve.
          schema:
            type: string
            example: 5EJy7VeBQGzn1m3
      responses:
        '200':
          description: Custom 'to' address retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 5EJy7VeBQGzn1m3
                      name:
                        type: string
                        example: John Doe
                      companyName:
                        type: string
                        nullable: true
                        example: Company A
                      addressLine1:
                        type: string
                        example: Address 1
                      addressLine2:
                        type: string
                        nullable: true
                        example: Address 2
                      city:
                        type: string
                        example: City
                      state:
                        type: string
                        example: ST
                      zip:
                        type: string
                        example: '123456'
                      phone:
                        type: string
                        nullable: true
                        example: ''
                      email:
                        type: string
                        nullable: true
                        example: john.doe@example.com
                      note:
                        type: string
                        nullable: true
                        example: Note.
              examples:
                exampleResponse:
                  value:
                    success: true
                    data:
                      id: 5EJy7VeBQGzn1m3
                      name: John Doe
                      companyName: Company A
                      addressLine1: Address 1
                      addressLine2: Address 2
                      city: City
                      state: ST
                      zip: '123456'
                      phone: ''
                      email: john.doe@example.com
                      note: Note.
        '401':
          description: Unauthorized. Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthenticated.
        '404':
          description: Address not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errorMsg:
                    type: string
                    example: Address not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````